summaryrefslogtreecommitdiff
path: root/app-misc
diff options
context:
space:
mode:
authorCtibor Brančík <ctibor@alwaid2.(none)>2012-10-23 23:12:36 +0200
committerCtibor Brančík <ctibor@alwaid2.(none)>2012-10-23 23:12:36 +0200
commitcb176805638d07b39db83531fa54419d8bc359a5 (patch)
tree2a40962eafbe4c09d7e11d5cf37ae9d7f9b1ebce /app-misc
parentb3f80e0306587663a493502e4fcfa1c17c5836fd (diff)
downloadbrancik-overlay-cb176805638d07b39db83531fa54419d8bc359a5.tar.gz
brancik-overlay-cb176805638d07b39db83531fa54419d8bc359a5.tar.bz2
Import of ebuilds used on laptop
Diffstat (limited to 'app-misc')
-rw-r--r--app-misc/mendeleydesktop/Manifest6
-rw-r--r--app-misc/mendeleydesktop/mendeleydesktop-0.9.8.2.ebuild61
-rw-r--r--app-misc/mendeleydesktop/mendeleydesktop-0.9.9.2.ebuild61
-rw-r--r--app-misc/mendeleydesktop/mendeleydesktop-1.1.2.ebuild62
4 files changed, 190 insertions, 0 deletions
diff --git a/app-misc/mendeleydesktop/Manifest b/app-misc/mendeleydesktop/Manifest
new file mode 100644
index 0000000..cae867f
--- /dev/null
+++ b/app-misc/mendeleydesktop/Manifest
@@ -0,0 +1,6 @@
+DIST mendeleydesktop-0.9.8.2-linux-x86_64.tar.bz2 32862729 RMD160 78f69187a0f86215b4e2a34472341e1bffcf7a44 SHA1 7e599321609aa5276e969caf4b6648d7c7f4b0a2 SHA256 d6672eb4fe339b52a939afa7dea451a61300109b028d37d4b1109ac0a50703e2
+DIST mendeleydesktop-0.9.9.2-linux-x86_64.tar.bz2 33345234 RMD160 426c42bdefee97b047aa7e6390019e54386e0606 SHA1 3a4717616841b9395531e789d4d7891866f6fe68 SHA256 77c2c7b851f0c99816555c86d7b94072ab049903e147fb0c0f5bbec9129df697
+DIST mendeleydesktop-1.1.2-linux-x86_64.tar.bz2 33065728 RMD160 6e616f639196df2698ad8ec85de7862aa5f5a6e4 SHA1 dc8b3da21ace19c42ad9890996696b75e09d8efc SHA256 23b972ac17ee841d676c5bffd3a951da632b51aa73e0d69d1188ebe6330ea1e1
+EBUILD mendeleydesktop-0.9.8.2.ebuild 1734 RMD160 21f4defb62fd05d6aae90cf3ea1ced3c52a6065e SHA1 1bbdeec51929f645189eb17ce31d9c8dab9a60cf SHA256 62c495bc4bb04cbb7658a80a120703dfd43d080b743b24138777658da5e57033
+EBUILD mendeleydesktop-0.9.9.2.ebuild 1734 RMD160 21f4defb62fd05d6aae90cf3ea1ced3c52a6065e SHA1 1bbdeec51929f645189eb17ce31d9c8dab9a60cf SHA256 62c495bc4bb04cbb7658a80a120703dfd43d080b743b24138777658da5e57033
+EBUILD mendeleydesktop-1.1.2.ebuild 1770 RMD160 d2e5936069c272f16361fa9996ff0f75aa8ca71e SHA1 4c9e171a18e5a538878d12078cec7c5d6bef9c01 SHA256 0809c1555d5a391e8f859ffef6cc889a9ee300594e8061d1ee4499078bcbfb7a
diff --git a/app-misc/mendeleydesktop/mendeleydesktop-0.9.8.2.ebuild b/app-misc/mendeleydesktop/mendeleydesktop-0.9.8.2.ebuild
new file mode 100644
index 0000000..b1badbe
--- /dev/null
+++ b/app-misc/mendeleydesktop/mendeleydesktop-0.9.8.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+if [ "${ARCH}" = "amd64" ] ; then
+ LNXARCH="linux-x86_64"
+else
+ LNXARCH="linux-i486"
+fi
+
+DESCRIPTION="A free research management tool for desktop & web"
+HOMEPAGE="http://www.mendeley.com/"
+SRC_URI="${HOMEPAGE}/downloads/linux/${P}-${LNXARCH}.tar.bz2"
+
+LICENSE="Mendelay-EULA"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="mirror"
+RDEPEND="dev-libs/openssl:0.9.8
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libpng:1.2"
+
+S="${WORKDIR}/${P}-${LNXARCH}"
+
+MENDELEY_INSTALL_DIR="/opt/${PN}"
+
+src_install() {
+ # install menu
+ domenu "share/applications/${PN}.desktop"
+ # Install commonly used icon sizes
+ for res in 16x16 22x22 32x32 48x48 64x64 128x128 ; do
+ insinto "/usr/share/icons/hicolor/${res}/apps"
+ doins "share/icons/hicolor/${res}/apps/${PN}.png" || \
+ die "Installing icons failed."
+ done
+ insinto "/usr/share/pixmaps"
+ doins "share/icons/hicolor/48x48/apps/${PN}.png" || \
+ die "Installing pixmap failed."
+
+ # dodoc
+ dodoc "share/doc/${PN}/"* || die "Installing docs failed."
+
+ # create directories for installation
+ dodir ${MENDELEY_INSTALL_DIR} || die "dodir failed"
+ dodir "${MENDELEY_INSTALL_DIR}/lib" || die "dodir failed"
+ dodir "${MENDELEY_INSTALL_DIR}/share" || die "dodir failed"
+
+ # install binaries
+ mv "bin" "${D}${MENDELEY_INSTALL_DIR}" || die "Installing bin failed."
+ mv "lib" "${D}${MENDELEY_INSTALL_DIR}" || die "Installing libs failed."
+ mv "share/${PN}" "${D}${MENDELEY_INSTALL_DIR}/share" || \
+ die "Installing shared files failed."
+ dosym "${MENDELEY_INSTALL_DIR}/bin/${PN}" "/opt/bin/${PN}" || \
+ die "Installing launcher symlinks failed."
+}
diff --git a/app-misc/mendeleydesktop/mendeleydesktop-0.9.9.2.ebuild b/app-misc/mendeleydesktop/mendeleydesktop-0.9.9.2.ebuild
new file mode 100644
index 0000000..b1badbe
--- /dev/null
+++ b/app-misc/mendeleydesktop/mendeleydesktop-0.9.9.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+if [ "${ARCH}" = "amd64" ] ; then
+ LNXARCH="linux-x86_64"
+else
+ LNXARCH="linux-i486"
+fi
+
+DESCRIPTION="A free research management tool for desktop & web"
+HOMEPAGE="http://www.mendeley.com/"
+SRC_URI="${HOMEPAGE}/downloads/linux/${P}-${LNXARCH}.tar.bz2"
+
+LICENSE="Mendelay-EULA"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="mirror"
+RDEPEND="dev-libs/openssl:0.9.8
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libpng:1.2"
+
+S="${WORKDIR}/${P}-${LNXARCH}"
+
+MENDELEY_INSTALL_DIR="/opt/${PN}"
+
+src_install() {
+ # install menu
+ domenu "share/applications/${PN}.desktop"
+ # Install commonly used icon sizes
+ for res in 16x16 22x22 32x32 48x48 64x64 128x128 ; do
+ insinto "/usr/share/icons/hicolor/${res}/apps"
+ doins "share/icons/hicolor/${res}/apps/${PN}.png" || \
+ die "Installing icons failed."
+ done
+ insinto "/usr/share/pixmaps"
+ doins "share/icons/hicolor/48x48/apps/${PN}.png" || \
+ die "Installing pixmap failed."
+
+ # dodoc
+ dodoc "share/doc/${PN}/"* || die "Installing docs failed."
+
+ # create directories for installation
+ dodir ${MENDELEY_INSTALL_DIR} || die "dodir failed"
+ dodir "${MENDELEY_INSTALL_DIR}/lib" || die "dodir failed"
+ dodir "${MENDELEY_INSTALL_DIR}/share" || die "dodir failed"
+
+ # install binaries
+ mv "bin" "${D}${MENDELEY_INSTALL_DIR}" || die "Installing bin failed."
+ mv "lib" "${D}${MENDELEY_INSTALL_DIR}" || die "Installing libs failed."
+ mv "share/${PN}" "${D}${MENDELEY_INSTALL_DIR}/share" || \
+ die "Installing shared files failed."
+ dosym "${MENDELEY_INSTALL_DIR}/bin/${PN}" "/opt/bin/${PN}" || \
+ die "Installing launcher symlinks failed."
+}
diff --git a/app-misc/mendeleydesktop/mendeleydesktop-1.1.2.ebuild b/app-misc/mendeleydesktop/mendeleydesktop-1.1.2.ebuild
new file mode 100644
index 0000000..2fc8059
--- /dev/null
+++ b/app-misc/mendeleydesktop/mendeleydesktop-1.1.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+if [ "${ARCH}" = "amd64" ] ; then
+ LNXARCH="linux-x86_64"
+else
+ LNXARCH="linux-i486"
+fi
+
+DESCRIPTION="A free research management tool for desktop & web"
+HOMEPAGE="http://www.mendeley.com/"
+SRC_URI="http://s3.amazonaws.com/mendeley-desktop-download/linux/${P}-${LNXARCH}.tar.bz2"
+
+LICENSE="Mendelay-EULA"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="mirror strip"
+RDEPEND="dev-libs/openssl:0.9.8
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libpng:1.2"
+
+S="${WORKDIR}/${P}-${LNXARCH}"
+
+MENDELEY_INSTALL_DIR="/opt/${PN}"
+
+src_install() {
+ # install menu
+ domenu "share/applications/${PN}.desktop"
+ # Install commonly used icon sizes
+ for res in 16x16 22x22 32x32 48x48 64x64 128x128 ; do
+ insinto "/usr/share/icons/hicolor/${res}/apps"
+ doins "share/icons/hicolor/${res}/apps/${PN}.png" || \
+ die "Installing icons failed."
+ done
+ insinto "/usr/share/pixmaps"
+ doins "share/icons/hicolor/48x48/apps/${PN}.png" || \
+ die "Installing pixmap failed."
+
+ # dodoc
+ dodoc "share/doc/${PN}/"* || die "Installing docs failed."
+
+ # create directories for installation
+ dodir ${MENDELEY_INSTALL_DIR} || die "dodir failed"
+ dodir "${MENDELEY_INSTALL_DIR}/lib" || die "dodir failed"
+ dodir "${MENDELEY_INSTALL_DIR}/share" || die "dodir failed"
+
+ # install binaries
+ mv "bin" "${D}${MENDELEY_INSTALL_DIR}" || die "Installing bin failed."
+ mv "lib" "${D}${MENDELEY_INSTALL_DIR}" || die "Installing libs failed."
+ mv "share/${PN}" "${D}${MENDELEY_INSTALL_DIR}/share" || \
+ die "Installing shared files failed."
+ dosym "${MENDELEY_INSTALL_DIR}/bin/${PN}" "/opt/bin/${PN}" || \
+ die "Installing launcher symlinks failed."
+}
+